Bug 76407 - 'make rpm' fails with 2.4.18-17.8.0 source tree
'make rpm' fails with 2.4.18-17.8.0 source tree
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-21 10:18 EDT by Christopher J. Oliver
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-05 08:22:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher J. Oliver 2002-10-21 10:18:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
When I try to run "make rpm" after doing a "make xconfig" and "make dep", I 
get an unexpected rpm error:

....
....
kernel-2.4.1817.8.0custom/./.config
kernel-2.4.1817.8.0custom/./tmp_include_depends
kernel-2.4.1817.8.0custom/./kernel.spec
-ta: unknown option
make: *** [rpm] Error 1



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.make xconfig
2.make dep
3.make rpm
	

Actual Results:  ....
....
kernel-2.4.1817.8.0custom/./.config
kernel-2.4.1817.8.0custom/./tmp_include_depends
kernel-2.4.1817.8.0custom/./kernel.spec
-ta: unknown option
make: *** [rpm] Error 1


Expected Results:  ....
....
+ cd /usr/src/redhat/BUILD
+ cd kernel-2.4.1817.8.0custom
+ exit 0


Additional info:

A quick solution is to manually edit the Makefile and change "rpm" 
to "rpmbuild"

rpm:    clean spec
        find . \( -size 0 -o -name .depend -o -name .hdepend \) -type f -print 
$
        set -e; \
        cd $(TOPDIR)/.. ; \
        ln -sf $(TOPDIR) $(KERNELPATH) ; \
        tar -cvz --exclude CVS -f $(KERNELPATH).tar.gz $(KERNELPATH)/. ; \
        rm $(KERNELPATH) ; \
        cd $(TOPDIR) ; \
        . scripts/mkversion > .version ; \
        rpmbuild -ta $(TOPDIR)/../$(KERNELPATH).tar.gz ; \
        rm $(TOPDIR)/../$(KERNELPATH).tar.gz
Comment 1 Mike Gahagan 2002-10-30 23:07:42 EST
The same fix worked for me as well.
Comment 2 Bennett Feitell 2002-11-19 17:13:35 EST
This problem may also be fixed by following the instructions for retaining rpm
compilation functionality from the "LEGACY ISSUES" section of the RPM man page.

Specifically the portion on adding lines to /etc/popt...

--quote follows--

LEGACY ISSUES
   Executing rpmbuild
       The  build  modes of rpm are now resident in the /usr/bin/rpmbuild exe‐
       cutable. Although legacy compatibility provided  by  the  popt  aliases
       below  has been adequate, the compatibility is not perfect; hence build
       mode compatibility through popt aliases  is  being  removed  from  rpm.
       Install  the rpmbuild package, and see rpmbuild(8) for documentation of
       all the rpm build modes previously documented here in rpm(8).

       Add the following lines to /etc/popt if you wish to  continue  invoking
       rpmbuild from the rpm command line:

       rpm     exec ‐‐bp               rpmb ‐bp
       rpm     exec ‐‐bc               rpmb ‐bc
       rpm     exec ‐‐bi               rpmb ‐bi
       rpm     exec ‐‐bl               rpmb ‐bl
       rpm     exec ‐‐ba               rpmb ‐ba
       rpm     exec ‐‐bb               rpmb ‐bb
       rpm     exec ‐‐bs               rpmb ‐bs
       rpm     exec ‐‐tp               rpmb ‐tp
       rpm     exec ‐‐tc               rpmb ‐tc
       rpm     exec ‐‐ti               rpmb ‐ti
       rpm     exec ‐‐tl               rpmb ‐tl
       rpm     exec ‐‐ta               rpmb ‐ta
       rpm     exec ‐‐tb               rpmb ‐tb
       rpm     exec ‐‐ts               rpmb ‐ts
       rpm     exec ‐‐rebuild          rpmb ‐‐rebuild
       rpm     exec ‐‐recompile        rpmb ‐‐recompile
       rpm     exec ‐‐clean            rpmb ‐‐clean
       rpm     exec ‐‐rmsource         rpmb ‐‐rmsource
       rpm     exec ‐‐rmspec           rpmb ‐‐rmspec
       rpm     exec ‐‐target           rpmb ‐‐target
       rpm     exec ‐‐short‐circuit    rpmb ‐‐short‐circuit
Comment 3 Bennett Feitell 2002-11-19 17:19:10 EST
The encoding is messed up.  The odd strings beginning with "&" and ending with
";"  are incorrect.  Do the cut and paste from the console or a console window.
 "man rpm" and / search for "LEGACY ISSUES" (in caps, no quotes).
Comment 4 Alan Cox 2003-06-05 08:22:43 EDT
Now fixed in base 2.4 and 2.5 trees

Note You need to log in before you can comment on or make changes to this bug.